<template>
  <div :class="{ 'online-label': online, 'offline-label': !online }">
  </div>
</template>

<script>
  export default {
    name: 'StatusLabel',
    props: {
      online: Boolean
    }
  }
</script>

<style scoped lang="scss">
  @import "./color";

  .label {
    $radius: 10px;

    width: $radius;
    height: $radius;
    border-radius: 1em;
    display: inline-block;
    margin-right: 0.1em;
  }

  .online-label {
    @extend .label;
    background-color: $color-success;
  }

  .offline-label {
    @extend .label;
    background-color: $color-danger;
  }

  .dark-theme {
    .online-label {
      background-color: #3dc86b;
    }

    .offline-label {
      background-color: #ff4f51;
    }
  }
</style>